DCMTK - Bug #594

getMACAddress() crashes on Windows 8 /10
2014-04-01 10:55 - Jorg Riesmeier

Status: Closed Start date: 2014-04-01
Priority: High Due date:

Assignee: Marco Eichelberg % Done: 100%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.2

Module: dcmdata Compiler:

Operating System: Windows 8 (and newer)

Description

See: http://forum.dcmtk.org/viewtopic.php?f=1&t=3971&p=15880

This function should be completely rewritten, at least the Windows-specific part, and tested on all Windows versions starting from
Windows 2000, i.e. we should drop support for Windows 95 (and probably Windows 98/Me), which makes life - hopefully - a little
easier.

History

#1 - 2014-08-04 11:40 - OFFIS DICOM Team

- Assignee set to Michael Onken

#2 - 2014-08-04 13:35 - OFFIS DICOM Team

Ihfcjhyy(at)gmail.com writes:

Recently | got a bug when | use dcmGenerateUniqueldentifier() under dcuid.cc. It just crashed when | use it, but it doesn't happen all the time. It
works on my computer, but doesn't on the computer of a tester. Both of us OS is 64 bit windows 8 and running 32 bit program. The version of demtk |
am using is demtk-3.6.1_20121102.

So when | trying to trace the bug , and | find the program crashed at line 1389 of dcuid.cc:

ret = m_Query(SNMP_PDU_GETNEXT, &varBindList, &errorStatus, &errorindex);

#3 - 2014-09-18 10:14 - Marco Eichelberg

Update by 000 on 2014-08-07:
we just fix the bug by update the OS from windows 8 to windows 8.1. So it's Microsoft's fault. Just want you know that, and maybe you can inform
anyone else if they have this bug too :)

#4 - 2015-01-15 12:48 - Michael Onken

- Private changed from No to Yes

#5 - 2016-01-29 23:06 - JOrg Riesmeier

Also see this forum thread: http:/forum.dcmtk.org/viewtopic.php?f=1&t=4254

#6 - 2016-02-01 10:59 - J6rg Riesmeier
- Status changed from New to Resolved

- Operating System set to Windows 8 (and newer)

Should be fixed with commit 64bbef6.

#7 - 2016-03-15 16:13 - Jorg Riesmeier

- Private changed from Yes to No

#8 - 2016-03-15 16:13 - JOrg Riesmeier
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

See: hitp://git.dcmtk.org/?p=dcmtk.qgit;a=commit;h=64bbef6831804382a029d0d4e8a30e0f991ab2bf
#9 - 2017-04-12 13:08 - Michael Onken

- Status changed from Closed to Reopened

Verified today on Windows 10, Visual Studio 2015, 32 Bit Code Generation, static (non-DLL) build, also after the commit (64bbef6) a year ago.

The Codeguru page shows alternative approaches (especially method 3)

#10 - 2017-04-12 13:09 - Michael Onken
- File crash.png added

#11 - 2017-04-12 13:09 - Michael Onken

- Subject changed from getMACAddress() crashes on Windows 8 to getMACAddress() crashes on Windows 8/ 10

#12 - 2017-04-14 17:56 - Marco Eichelberg

- Target version changed from 3.6.1+ to 3.6.2

#13 - 2017-04-17 10:01 - Marco Eichelberg
- Status changed from Reopened to Closed

- Assignee changed from Michael Onken to Marco Eichelberg

Closed by commit 7¢8f025.
